<h1> Welcome</h1>

<div class="container">
    welcome {{name}}. 
    Welcome to our awesome app.
</div>

  You can manage your todos <a routerLink="/todos">here</a>

  <div class="container">
    Click here to get a customized welcome message
    <button (click)="getWelcomeMessageWithParameter()" class="btn btn-success">Get Welcome Message</button>

  </div>


  <div class="container" *ngIf="welcomeMessage">
    <h2>Your customize welcome message</h2>

    {{welcomeMessage}}
  </div>